package tools.explorer;

import org.netkernel.layer0.nkf.INKFRequest;
import org.netkernel.layer0.nkf.INKFRequestContext;
import org.netkernel.layer0.representation.IHDSNode;
import org.netkernel.module.standard.endpoint.StandardAccessorImpl;

public class GenerateExplorerPluginsAccessor extends StandardAccessorImpl
{
	public void onSource(INKFRequestContext aContext) throws Exception
	{	INKFRequest req=aContext.createRequest("active:spaceAggregateHDS");
		req.addArgument("uri", "res:/etc/system/ExplorerPlugins.xml");
		req.setRepresentationClass(IHDSNode.class);
		IHDSNode config=(IHDSNode)aContext.issueRequest(req);
		ExplorerPluginsRepresentation result = new ExplorerPluginsRepresentation(config);
		aContext.createResponseFrom(result);
	}
}
