package org.netkernel.mod.architecture.bits.channel;

public class SpaceGroup
{
	private SpaceDefinition mSpace;
	private int mStart;
	private int mEnd;
	private boolean mHasChannelThrough;
	
	public SpaceGroup(SpaceDefinition aSpace, int aStart)
	{	
		mSpace=aSpace;
		mStart=aStart;
	}
	
	public void setEnd(int aEnd)
	{	mEnd=aEnd;
	}
	
	public void setHasChannelThrough()
	{	mHasChannelThrough=true;
	}
	
	public int getStart()
	{	return mStart;
	}
	
	public int getEnd()
	{	return mEnd;
	}
	
	public SpaceDefinition getSpace()
	{	return mSpace;
	}
	
	public String toString()
	{	return mStart+"->"+mEnd+"  "+(mSpace!=null?mSpace.getSpaceHash():"null");
	}
	
	public boolean hasSpace()
	{	return mSpace!=null;
	}
	
	public boolean hasChannelThrough()
	{	return mHasChannelThrough;
	}
}
